<template>
    <div>
        <v-toolbar>
            <v-toolbar-side-icon>
                <v-icon>more_vert</v-icon>
            </v-toolbar-side-icon>
            <v-toolbar-title></v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items class="hidden-sm-and-down">
                <v-btn v-if="!connected" v-on:click="signup" flat>Sign up</v-btn>
                <v-btn v-if="!connected" v-on:click="signin" flat>Sign in</v-btn>
                <v-btn v-if="connected" v-on:click="logout" flat>Log out</v-btn>
                <v-btn v-if="connected" v-on:click="listDocuments" flat>My documents</v-btn>
                <v-btn v-if="connected" v-on:click="uploadFile" flat>Upload New File</v-btn>

                <v-btn v-on:click="aboutus" flat>About us</v-btn>

            </v-toolbar-items>
        </v-toolbar>
    </div>
</template>

<script>
    export default {
        name: "NavBar",
        data() {
            return {

            };
        },
        computed: {
            connected() {
                return this.$session.exists();
            }
        },
        methods: {
            logout() {
                this.$session.destroy();
                this.$router.push("/");
                console.log("destroy");
            },
            signin() {
                this.$router.push("/signin");
            },
            aboutus() {
                this.$router.push("/aboutus");
            },
            signup() {
                this.$router.push("/signup");
            },
            listDocuments() {
                this.$router.push("/fileslist");
            },
            uploadFile() {
                this.$router.push("/uploadfile");
            },

        }
    };
</script>

<style scoped></style>
